Package org.openoffice.da.comp.writer2xhtml

# Class BatchHandlerAdapter

java.lang.Object
org.openoffice.da.comp.writer2xhtml.BatchHandlerAdapter

All Implemented Interfaces:
  `BatchHandler`

public class BatchHandlerAdapter extends Object implements BatchHandler
The uno interface provides an XBatchHandler implementation, the java interface requires a BatchHandler implementation. This simple class implements the latter using an instance of the former.

## Constructor Summary

Constructors
Constructor
Description
`BatchHandlerAdapter(org.openoffice.da.writer2xhtml.XBatchHandler unoHandler)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`cancel()`
Notification that the conversion may be cancelled.
`void`
`endConversion()`
Notification that the conversion has finished
`void`
`endDirectory(String sName, boolean bSuccess)`
Notification that a directory conversion has finished
`void`
`endFile(String sName, boolean bSuccess)`
Notification that a file conversion has finished
`void`
`startConversion()`
Notification that the conversion is started
`void`
`startDirectory(String sName)`
Notification that a directory conversion starts
`void`
`startFile(String sName)`
Notification that a file conversion starts

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BatchHandlerAdapter

public BatchHandlerAdapter(org.openoffice.da.writer2xhtml.XBatchHandler unoHandler)

## Method Details

### startConversion

public void startConversion()
Description copied from interface: `BatchHandler`
Notification that the conversion is started

Specified by:
  `startConversion` in interface `BatchHandler`

### endConversion

public void endConversion()
Description copied from interface: `BatchHandler`
Notification that the conversion has finished

Specified by:
  `endConversion` in interface `BatchHandler`

### startDirectory

public void startDirectory(String sName)
Description copied from interface: `BatchHandler`
Notification that a directory conversion starts

Specified by:
  `startDirectory` in interface `BatchHandler`
Parameters:
  `sName` - the name of the directory to convert

### endDirectory

public void endDirectory(String sName, boolean bSuccess)
Description copied from interface: `BatchHandler`
Notification that a directory conversion has finished

Specified by:
  `endDirectory` in interface `BatchHandler`
Parameters:
  `sName` - the name of the directory
  `bSuccess` - true if the conversion was successful (this only means that the index page was created with success, not that the conversion of files and subdirectories was successful)

### startFile

public void startFile(String sName)
Description copied from interface: `BatchHandler`
Notification that a file conversion starts

Specified by:
  `startFile` in interface `BatchHandler`
Parameters:
  `sName` - the name of the file to convert

### endFile

public void endFile(String sName, boolean bSuccess)
Description copied from interface: `BatchHandler`
Notification that a file conversion has finished

Specified by:
  `endFile` in interface `BatchHandler`
Parameters:
  `sName` - the name of the file
  `bSuccess` - true if the conversion of this file was successful

### cancel

public boolean cancel()
Description copied from interface: `BatchHandler`
Notification that the conversion may be cancelled. The `BatchConverter` fires this event once per document. Cancelling the conversion does not delete files that was already converted

Specified by:
  `cancel` in interface `BatchHandler`
Returns:
  true if the handler wants to cancel the conversion